import React from 'react';
import './monokai.css';
import './index.less';
export interface ICodePreviewProps {
    prefixCls?: string;
    /**
     * To specify a CSS class, use the className attribute.
     */
    className?: string;
    /**
     * `JSX` source code
     */
    code?: string;
    /**
     * Whether to display the code interface.
     */
    noCode?: boolean;
    /**
     * Is the background white or plaid?
     */
    bgWhite?: boolean;
    /**
     * Whether to display the preview interface.
     */
    noPreview?: boolean;
    /**
     * Dependent component
     */
    dependencies?: {
        [key: string]: any;
    };
}
export interface ICodePreviewState {
    errorMessage: string;
    fullScreen: boolean;
    width: number | string;
    copied: boolean;
    showEdit: boolean;
}
export default class CodePreview extends React.PureComponent<ICodePreviewProps, ICodePreviewState> {
    demoDom: React.RefObject<HTMLDivElement>;
    playerId: string;
    state: ICodePreviewState;
    static defaultProps: ICodePreviewProps;
    constructor(props: ICodePreviewProps);
    componentDidMount(): void;
    executeCode(codeStr: string): Promise<void>;
    /**
     * onCopyCode
     */
    onCopyCode(): void;
    /**
     * onFullScreen
     */
    onFullScreen(): void;
    /**
     * onSwitchSource
     */
    onSwitchSource(): void;
    render(): JSX.Element;
}
